com.tibbo.aggregate.common.device.sync

## Class ConnectOnlySynchronization

- java.lang.Object
- - com.tibbo.aggregate.common.device.sync.AbstractSynchronizationParameters
  - - com.tibbo.aggregate.common.device.sync.ConnectOnlySynchronization

- All Implemented Interfaces:
    SynchronizationParameters

      public class ConnectOnlySynchronization
      extends AbstractSynchronizationParameters

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.device.sync.AbstractSynchronizationParameters

      `directionOverride, id, shouldPersistStatus, shouldReadMetadata, shouldUseExtendedStatus, variables`

    - ### Fields inherited from interface com.tibbo.aggregate.common.device.sync.SynchronizationParameters

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectOnlySynchronization()`
    `ConnectOnlySynchronization(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConnectOnly()`

    - ### Methods inherited from class com.tibbo.aggregate.common.device.sync.AbstractSynchronizationParameters

      `addVariable, equals, getDirectionOverride, getId, getVariables, hashCode, hasMoreVariables, hasVariable, isFull, isShouldPersistStatus, isShouldReadMetadata, isShouldUseExtendedStatus, removeVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.device.sync.SynchronizationParameters

      `createDefaultSynchronizationParameters, createDefaultSynchronizationParameters, createReinitializerSynchronizationParameters, ofVariable, ofVariable`

- - ### Constructor Detail

    - #### ConnectOnlySynchronization

          public ConnectOnlySynchronization()

    - #### ConnectOnlySynchronization

          public ConnectOnlySynchronization(java.lang.String id)

  - ### Method Detail

    - #### isConnectOnly

          public boolean isConnectOnly()

      Specified by:
        `isConnectOnly` in interface `SynchronizationParameters`
      Overrides:
        `isConnectOnly` in class `AbstractSynchronizationParameters`